//
//  AsReaderSDK.h
//  AsReaderOne
//
//  Created by zds on 14-10-11.
//  Copyright (c) 2014年 zds. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "EASessionDelegate.h"

@protocol AsReaderDelegete

- (void)onBarcodeScanned:(NSString *)value;  //!< テキストフィールドEnter押下イベント
@optional
- (void)whenAsReaderConnect;
- (void)whenAsReaderDisconnect;
@end

@class AsReaderEADSessionController,EAAccessory;
@interface AsReaderSDK : NSObject<EASessionDelegate>{
	BOOL asreaderConnected;
	AsReaderEADSessionController *sessionController;
	EAAccessory *asReader;
}
@property (weak,nonatomic) NSObject<AsReaderDelegete>* delegate;
- (void)stopAsReaderSession;
- (BOOL)startAsReaderSession;
@end
